# <attribute>

[This is preliminary documentation and subject to change.]

Represents an assembly-level attribute.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
type | string | Typename of the assembly-level attribute. | True
asis | bool | If true then the value of the attribute will be set as is, without actually looking for a matching constructor or named properties. The default is false. | False
if | bool | Indicates if the attribute should be generated. | False
unless | bool | Indicates if the attribute should be not generated. | False
value | string | Value of the attribute. | False

### Requirements

Assembly: NAnt.DotNetTasks (0.85.1932.0)